﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VL.Lib.Collections;

namespace GMB_Light_Controls
{
    public class FixtureGroupDefinition : ManualDynamicEnumDefinitionBase<FixtureGroupDefinition>
    {
        public static FixtureGroupDefinition Instance => ManualDynamicEnumDefinitionBase<FixtureGroupDefinition>.Instance;

        override protected bool AutoSortAlphabetically => false;
    }

    [Serializable]
    public class FixtureGroup : DynamicEnumBase<FixtureGroup, FixtureGroupDefinition>
    {
        public FixtureGroup(string value) : base(value)
        {
        }

        //this method needs to be imported in VL to set the default
        public static FixtureGroup CreateDefault()
        {
            //use method of base class if nothing special required
            return CreateDefaultBase();
        }
    }
}


